// Shader taken from: http://webglsamples.googlecode.com/hg/electricflower/electricflower.html
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D CC_Texture0;

void main() 
{
    vec4 col =  texture2D(CC_Texture0,v_texCoord);
    float gray = dot(vec3(col.x * v_fragmentColor.x, col.y * v_fragmentColor.y, col.z * v_fragmentColor.z), vec3(0.3, 0.59, 0.11));

    gl_FragColor = vec4(gray, gray, gray, col.a);
}

